Scénario # 23239 (Terminé (Sprint)): Etudier les performances de service bastion restart / bastion regen

diagnostiquer la génération des règles

03/08/2018 10:40 AM - Thierry Bertrand

Status: Fermé Start date: 04/03/2018

Priority: Normal Due date:  

Assigned To: force bleue % Done: 20%

Target version: Sprint 2018 14-16 Equipe PNE-SR Estimated time: 0.00 hour

  Spent time: 0.00 hour

Description

History

#1 - 04/17/2018 05:57 PM - Philippe Carre

- Status changed from Nouveau to En cours

- % Done changed from 0 to 20

Génération des règles et de manière général diagnostique sur les délais très longs de certaines actions pendant le reconfigure.

La VM 143077, amon-essl 2.6.2,  sur l'ONe Dijon est une copie complète de la conf d'un eSSL-SPC actuellement en prod.

C'est un des services qui nous a signalé le temps très long d'un reconfigure. Ils ont un eSSL 2.5.2, mais le cas semble finalement le même avec un

2.6.2. Le nombre de règles pare-feu est important , et il y a bcp de règles de NAT (28174 lignes dans lance.firewall, environ 14000 règles)

Sur ma VM , il faut 4 mn pour appliquer toutes les règles.

C'est long , mais acceptable !!? Mais est-ce qu'on peut faire mieux ?

Sinon, le démarrage du service networking est également très long.

J'ai l'impression que c'est encore lié à ce cas : https://dev-eole.ac-dijon.fr/issues/21818

Voire même celui-ci : https://dev-eole.ac-dijon.fr/issues/15069  ??

En tous cas, si j'enlève /etc/network/if-up.d/ntpdate , le service redémarre instantanément !!

#2 - 04/23/2018 12:21 PM - Emmanuel IHRY

- Status changed from En cours to Fermé

- Remaining (hours) set to 0.0

la suite dans le cadre de ce scénario
